% if ( ref $tag ) {
%	if ( $tag->id ) {
<table width="100%" cellpadding="0" cellspacing="0">
<tr valign="top"><td width="65%">
	<fieldset>
		<legend>Редактировать тег</legend>
		<& /contenido/tag/components/form_tag_edit.msn, object => $tag &>
	</fieldset>
</td>
<td width="0"><% spacer(h=>1) %></td>
<td width="35%">
	<& /contenido/tag/components/block_tag_objects.msn, tag => $tag &>
</td>
</tr>
</table>
%	} else {
<fieldset>
	<legend>Создать тег</legend>
	<& /contenido/tag/components/form_tag_edit.msn, object => $tag &>
</fieldset>
%	}
% } else {
<div class="error-prompt">Не найден тег с ID=<% $id |h %></div>
% }
<%args>

	$id	=> undef

</%args>
<%init>

    my $tag;

    if ( $id && $id =~ /^\d+$/ ) {
	$tag = $keeper->get_document_by_id( $id, class => 'tag::Tag' );
    } else {
	$tag = tag::Tag->new( $keeper );
    }

</%init>